Bug 189368 (rhn-manage-ks-tree) - Kickstart Tree Management tool Support
Summary: Kickstart Tree Management tool Support
Status: CLOSED CURRENTRELEASE
Alias: rhn-manage-ks-tree
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels   
(Show other bugs)
Version: rhn420
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Slagle
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn-content-mgmt-m1
TreeView+ depends on / blocked
 
Reported: 2006-04-19 15:15 UTC by Pradeep Kilambi
Modified: 2007-04-18 17:41 UTC (History)
3 users (show)

Fixed In Version: rhn500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 15:14:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pradeep Kilambi 2006-04-19 15:15:41 UTC
Description of problem:
1. scripts available are: make-ks-tree, add-kstree.pl, kickstart-lint.pl

2. These scripts need to be replaced with a python script which includes all the
functionality.

3. Needs to use xmlrpc rather than direct db calls on clinet and server(handlers).

4. configs needed probably spereate one for this.

5. man page needed

6. inclusion into Satellite

Comment 1 Pradeep Kilambi 2006-05-03 20:44:43 UTC
passing it on to jslagle

Comment 2 James Slagle 2006-06-27 20:03:58 UTC
Tool is at eng/client/content_mgmt/rhn_manage_ks_tree.py.

Still needs man page, but it is in a beta state.


Note You need to log in before you can comment on or make changes to this bug.